// @dart=2.12

import 'package:easy_localization/easy_localization.dart';

class LocaleStrings {
  LocaleStrings._();

  static _$GlobalLocaleStrings get global => _$GlobalLocaleStrings();
  static _$AppsLocaleStrings get apps => _$AppsLocaleStrings();
  static _$MiscLocaleStrings get misc => _$MiscLocaleStrings();
  static _$OverviewOverlayLocaleStrings get overviewOverlay => _$OverviewOverlayLocaleStrings();
  static _$PowerOverlayLocaleStrings get powerOverlay => _$PowerOverlayLocaleStrings();
  static _$SearchOverlayLocaleStrings get searchOverlay => _$SearchOverlayLocaleStrings();
  static _$LauncherOverlayLocaleStrings get launcherOverlay => _$LauncherOverlayLocaleStrings();
  static _$QuicksettingsOverlayLocaleStrings get quicksettingsOverlay => _$QuicksettingsOverlayLocaleStrings();
  static _$DesktopLocaleStrings get desktop => _$DesktopLocaleStrings();
  static _$SettingsLocaleStrings get settings => _$SettingsLocaleStrings();
}

class _$GlobalLocaleStrings {
  final String accountLocal = "global.account.local".tr();
  final String accountUserAccounts = "global.account.user_accounts".tr();
  final String on = "global.on".tr();
  final String off = "global.off".tr();
  final String settings = "global.settings".tr();
  final String comingSoon = "global.coming_soon".tr();
  final String save = "global.save".tr();
  final String search = "global.search".tr();
}

class _$AppsLocaleStrings {
  final String authenticator = "apps.authenticator".tr();
  final String calculator = "apps.calculator".tr();
  final String clock = "apps.clock".tr();
  /// Do not actually translate this string, just write "Graft" as the translation
  final String containers = "apps.containers".tr();
  final String disks = "apps.disks".tr();
  final String files = "apps.files".tr();
  final String media = "apps.media".tr();
  final String music = "apps.music".tr();
  final String notes = "apps.notes".tr();
  final String notesmobile = "apps.notesmobile".tr();
  final String messages = "apps.messages".tr();
  final String rootterminal = "apps.rootterminal".tr();
  final String settings = "apps.settings".tr();
  final String systemlogs = "apps.systemlogs".tr();
  final String taskmanager = "apps.taskmanager".tr();
  final String terminal = "apps.terminal".tr();
  final String themedemo = "apps.themedemo".tr();
  final String welcome = "apps.welcome".tr();
  final String help = "apps.help".tr();
  final String web = "apps.web".tr();
  final String authenticatorDescription = "apps.authenticator_description".tr();
  final String calculatorDescription = "apps.calculator_description".tr();
  final String clockDescription = "apps.clock_description".tr();
  final String containersDescription = "apps.containers_description".tr();
  final String disksDescription = "apps.disks_description".tr();
  final String filesDescription = "apps.files_description".tr();
  final String mediaDescription = "apps.media_description".tr();
  final String musicDescription = "apps.music_description".tr();
  final String notesDescription = "apps.notes_description".tr();
  final String notesmobileDescription = "apps.notesmobile_description".tr();
  final String messagesDescription = "apps.messages_description".tr();
  final String rootterminalDescription = "apps.rootterminal_description".tr();
  final String settingsDescription = "apps.settings_description".tr();
  final String systemlogsDescription = "apps.systemlogs_description".tr();
  final String taskmanagerDescription = "apps.taskmanager_description".tr();
  final String terminalDescription = "apps.terminal_description".tr();
  final String themedemoDescription = "apps.themedemo_description".tr();
  final String welcomeDescription = "apps.welcome_description".tr();
  final String helpDescription = "apps.help_description".tr();
  final String webDescription = "apps.web_description".tr();
}

class _$MiscLocaleStrings {
  final String featurenotimplementedTitle = "misc.featurenotimplemented_title".tr();
  final String featurenotimplementedValue = "misc.featurenotimplemented_value".tr();
}

class _$OverviewOverlayLocaleStrings {
  final String newDesktop = "overviewOverlay.new_desktop".tr();
}

class _$PowerOverlayLocaleStrings {
  final String title = "powerOverlay.title".tr();
  final String subtitle = "powerOverlay.subtitle".tr();
  final String poweroff = "powerOverlay.poweroff".tr();
  final String sleep = "powerOverlay.sleep".tr();
  final String restart = "powerOverlay.restart".tr();
}

class _$SearchOverlayLocaleStrings {
  final String hint = "searchOverlay.hint".tr();
  final String results = "searchOverlay.results".tr();
  final String recent = "searchOverlay.recent".tr();
  final String app = "searchOverlay.app".tr();
}

class _$LauncherOverlayLocaleStrings {
  final String categoriesAllApplications = "launcherOverlay.categories.all_applications".tr();
  final String categoriesInternet = "launcherOverlay.categories.internet".tr();
  final String categoriesMedia = "launcherOverlay.categories.media".tr();
  final String categoriesGaming = "launcherOverlay.categories.gaming".tr();
  final String categoriesDevelopment = "launcherOverlay.categories.development".tr();
  final String categoriesOffice = "launcherOverlay.categories.office".tr();
  final String categoriesSystem = "launcherOverlay.categories.system".tr();
}

class _$QuicksettingsOverlayLocaleStrings {
  final String quickControls = "quicksettingsOverlay.quick_controls".tr();
  final String quickControlsNetworkTitle = "quicksettingsOverlay.quick_controls.network.title".tr();
  final String quickControlsNetworkSubtitleConnected = "quicksettingsOverlay.quick_controls.network.subtitle_connected".tr();
  final String quickControlsNetworkSubtitleDisconnected = "quicksettingsOverlay.quick_controls.network.subtitle_disconnected".tr();
  final String quickControlsBluetoothTitle = "quicksettingsOverlay.quick_controls.bluetooth.title".tr();
  final String quickControlsBlueoothSubtitleConnected = "quicksettingsOverlay.quick_controls.blueooth.subtitle_connected".tr();
  final String quickControlsBlueoothSubtitleDisconnected = "quicksettingsOverlay.quick_controls.blueooth.subtitle_disconnected".tr();
  final String quickControlsAirplaneModeTitle = "quicksettingsOverlay.quick_controls.airplane_mode.title".tr();
  final String quickControlsLanguageTitle = "quicksettingsOverlay.quick_controls.language.title".tr();
  final String quickControlsThemeTitle = "quicksettingsOverlay.quick_controls.theme.title".tr();
  final String quickControlsDonotdisturbTitle = "quicksettingsOverlay.quick_controls.donotdisturb.title".tr();
  final String shortcutsTitle = "quicksettingsOverlay.shortcuts.title".tr();
  final String shortcutsNewEvent = "quicksettingsOverlay.shortcuts.new_event".tr();
  final String shortcutsAlphaBuild = "quicksettingsOverlay.shortcuts.alpha_build".tr();
  final String shortcutsEnergyMode = "quicksettingsOverlay.shortcuts.energy_mode".tr();
  final String pagesNetworkTitle = "quicksettingsOverlay.pages.network.title".tr();
  final String pagesThemeTitle = "quicksettingsOverlay.pages.theme.title".tr();
}

class _$DesktopLocaleStrings {
  final String wallpaperPickerGone = "desktop.wallpaper_picker.gone".tr();
  final String wallpaperPickerUrlWallpaperHint = "desktop.wallpaper_picker.url_wallpaper.hint".tr();
  final String wallpaperPickerUrlWallpaperLabel = "desktop.wallpaper_picker.url_wallpaper.label".tr();
  final String wallpaperPickerBingWallpaperButton = "desktop.wallpaper_picker.bing_wallpaper_button".tr();
  final String desktopContextMenuChangeWallpaper = "desktop.desktop_context_menu.change_wallpaper".tr();
  final String desktopContextMenuSettings = "desktop.desktop_context_menu.settings".tr();
  final String miscShowDesktop = "desktop.misc.show_desktop".tr();
}

class _$SettingsLocaleStrings {
  final String headersConnectivity = "settings.headers.connectivity".tr();
  final String headersPersonalize = "settings.headers.personalize".tr();
  final String headersDevice = "settings.headers.device".tr();
  final String headersSystem = "settings.headers.system".tr();
  final String pagesNetworkTitle = "settings.pages.network.title".tr();
  final String pagesNetworkSubtitle = "settings.pages.network.subtitle".tr();
  final String pagesNetworkWifi = "settings.pages.network.wifi".tr();
  final String pagesNetworkWifiSwitchTileTitle = "settings.pages.network.wifi_switch_tile.title".tr();
  final String pagesNetworkWifiSwitchTileSubtitleEnabled = "settings.pages.network.wifi_switch_tile.subtitle_enabled".tr();
  final String pagesNetworkWifiSwitchTileSubtitleDisabled = "settings.pages.network.wifi_switch_tile.subtitle_disabled".tr();
  final String pagesNetworkWifiPreferencesTileTitle = "settings.pages.network.wifi_preferences_tile.title".tr();
  final String pagesNetworkWifiPreferencesTileSubtitle = "settings.pages.network.wifi_preferences_tile.subtitle".tr();
  final String pagesNetworkWifiSavedNetworksTileTitle = "settings.pages.network.wifi_saved_networks_tile.title".tr();
  String pagesNetworkWifiSavedNetworksTileSubtitle(Object arg1) => "settings.pages.network.wifi_saved_networks_tile.subtitle".tr(args: [arg1.toString()]);
  final String pagesNetworkWifiDataUsageTileTitle = "settings.pages.network.wifi_data_usage_tile.title".tr();
  final String pagesNetworkWifiDataUsageTileSubtitle = "settings.pages.network.wifi_data_usage_tile.subtitle".tr();
  final String pagesNetworkEthernet = "settings.pages.network.ethernet".tr();
  final String pagesNetworkEthernetSwitchTileTitle = "settings.pages.network.ethernet_switch_tile.title".tr();
  final String pagesNetworkEthernetSwitchTileSubtitleEnabled = "settings.pages.network.ethernet_switch_tile.subtitle_enabled".tr();
  final String pagesNetworkEthernetSwitchTileSubtitleDisabled = "settings.pages.network.ethernet_switch_tile.subtitle_disabled".tr();
  final String pagesNetworkEthernetDataUsageTileTitle = "settings.pages.network.ethernet_data_usage_tile.title".tr();
  final String pagesNetworkEthernetDataUsageTileSubtitle = "settings.pages.network.ethernet_data_usage_tile.subtitle".tr();
  final String pagesNetworkNetworkOptions = "settings.pages.network.network_options".tr();
  final String pagesNetworkNetworkOptionsVpnTileTitle = "settings.pages.network.network_options.vpn_tile.title".tr();
  final String pagesNetworkNetworkOptionsVpnTileSubtitle = "settings.pages.network.network_options.vpn_tile.subtitle".tr();
  final String pagesNetworkNetworkOptionsVpnTileButton = "settings.pages.network.network_options.vpn_tile.button".tr();
  final String pagesNetworkNetworkOptionsDnsTileTitle = "settings.pages.network.network_options.dns_tile.title".tr();
  final String pagesNetworkNetworkOptionsDnsTileSubtitle = "settings.pages.network.network_options.dns_tile.subtitle".tr();
  final String pagesNetworkNetworkOptionsDnsTileButton = "settings.pages.network.network_options.dns_tile.button".tr();
  final String pagesConnectionsTitle = "settings.pages.connections.title".tr();
  final String pagesConnectionsSubtitle = "settings.pages.connections.subtitle".tr();
  final String pagesConnectionsBluetooth = "settings.pages.connections.bluetooth".tr();
  final String pagesConnectionsBluetoothSwitchTileTitle = "settings.pages.connections.bluetooth_switch_tile.title".tr();
  final String pagesConnectionsBluetoothSwitchTileSubtitleEnabled = "settings.pages.connections.bluetooth_switch_tile.subtitle_enabled".tr();
  final String pagesConnectionsBluetoothSwitchTileSubtitleDisabled = "settings.pages.connections.bluetooth_switch_tile.subtitle_disabled".tr();
  final String pagesConnectionsBluetoothFileTransferTileTitle = "settings.pages.connections.bluetooth_file_transfer_tile.title".tr();
  final String pagesConnectionsPhoneIntegration = "settings.pages.connections.phone_integration".tr();
  final String pagesConnectionsPhoneIntegrationTileTitle = "settings.pages.connections.phone_integration_tile.title".tr();
  final String pagesConnectionsPhoneIntegrationTileSubtitle = "settings.pages.connections.phone_integration_tile.subtitle".tr();
  final String pagesCustomizationTitle = "settings.pages.customization.title".tr();
  final String pagesCustomizationSubtitle = "settings.pages.customization.subtitle".tr();
  final String pagesCustomizationTheme = "settings.pages.customization.theme".tr();
  final String pagesCustomizationThemeModeLight = "settings.pages.customization.theme_mode_light".tr();
  final String pagesCustomizationThemeModeDark = "settings.pages.customization.theme_mode_dark".tr();
  final String pagesCustomizationThemeColorOrange = "settings.pages.customization.theme_color_orange".tr();
  final String pagesCustomizationThemeColorRed = "settings.pages.customization.theme_color_red".tr();
  final String pagesCustomizationThemeColorGreen = "settings.pages.customization.theme_color_green".tr();
  final String pagesCustomizationThemeColorBlue = "settings.pages.customization.theme_color_blue".tr();
  final String pagesCustomizationThemeColorTeal = "settings.pages.customization.theme_color_teal".tr();
  /// settings.pages.customization.theme_color_purple
  final String pagesCustomizationThemeColorPruple = "settings.pages.customization.theme_color_pruple".tr();
  final String pagesCustomizationThemeColorAqua = "settings.pages.customization.theme_color_aqua".tr();
  final String pagesCustomizationThemeColorGold = "settings.pages.customization.theme_color_gold".tr();
  final String pagesCustomizationThemeColorAnthracite = "settings.pages.customization.theme_color_anthracite".tr();
  final String pagesCustomizationTaskbarAlignment = "settings.pages.customization.taskbar_alignment".tr();
  final String pagesCustomizationTaskbarAlignmentStart = "settings.pages.customization.taskbar_alignment_start".tr();
  final String pagesCustomizationTaskbarAlignmentCenter = "settings.pages.customization.taskbar_alignment_center".tr();
  final String pagesCustomizationWindowOptions = "settings.pages.customization.window_options".tr();
  String pagesCustomizationWindowOptionsBorderRadiusTitle(Object arg1) => "settings.pages.customization.window_options_border_radius.title".tr(args: [arg1.toString()]);
  final String pagesCustomizationWindowOptionsBorderRadiusSubtitle = "settings.pages.customization.window_options_border_radius.subtitle".tr();
  final String pagesCustomizationWindowOptionsColoredTitlebarsTitle = "settings.pages.customization.window_options_colored_titlebars.title".tr();
  final String pagesCustomizationWindowOptionsColoredTitlebarsSubtitle = "settings.pages.customization.window_options_colored_titlebars.subtitle".tr();
  final String pagesCustomizationWindowOptionsTransparentColoredTitlebarsTitle = "settings.pages.customization.window_options_transparent_colored_titlebars.title".tr();
  final String pagesCustomizationWindowOptionsTransparentColoredTitlebarsSubtitle = "settings.pages.customization.window_options_transparent_colored_titlebars.subtitle".tr();
  final String pagesDisplayTitle = "settings.pages.display.title".tr();
  final String pagesDisplaySubtitle = "settings.pages.display.subtitle".tr();
  final String pagesSoundTitle = "settings.pages.sound.title".tr();
  final String pagesSoundSubtitle = "settings.pages.sound.subtitle".tr();
  final String pagesLocaleTitle = "settings.pages.locale.title".tr();
  final String pagesLocaleSubtitle = "settings.pages.locale.subtitle".tr();
  final String pagesNotificationsTitle = "settings.pages.notifications.title".tr();
  final String pagesNotificationsSubtitle = "settings.pages.notifications.subtitle".tr();
  final String pagesApplicationsTitle = "settings.pages.applications.title".tr();
  final String pagesApplicationsSubtitle = "settings.pages.applications.subtitle".tr();
  final String pagesDeveloperOptionsTitle = "settings.pages.developer_options.title".tr();
  final String pagesDeveloperOptionsSubtitle = "settings.pages.developer_options.subtitle".tr();
  final String pagesDeveloperOptionsDeveloperModeTileTitle = "settings.pages.developer_options.developer_mode_tile.title".tr();
  final String pagesDeveloperOptionsDeveloperModeTileSubtitle = "settings.pages.developer_options.developer_mode_tile.subtitle".tr();
  final String pagesAboutTitle = "settings.pages.about.title".tr();
  final String pagesAboutSubtitle = "settings.pages.about.subtitle".tr();
  final String pagesAboutSystemInformation = "settings.pages.about.system_information".tr();
  final String pagesAboutSystemInformationEnvironment = "settings.pages.about.system_information_environment".tr();
  final String pagesAboutSystemInformationArchitecture = "settings.pages.about.system_information_architecture".tr();
  final String pagesAboutSystemInformationDesktop = "settings.pages.about.system_information_desktop".tr();
  final String pagesAboutSoftwareUpdate = "settings.pages.about.software_update".tr();
  String pagesAboutSoftwareUpdateTileTitle(Object arg1) => "settings.pages.about.software_update_tile.title".tr(args: [arg1.toString()]);
  String pagesAboutSoftwareUpdateTileSubtitle(Object arg1) => "settings.pages.about.software_update_tile.subtitle".tr(args: [arg1.toString()]);
  final String pagesAboutSoftwareUpdateTileButton = "settings.pages.about.software_update_tile.button".tr();
}

