// @dart=2.12

import 'dart:ui';

// ignore_for_file: avoid_escaping_inner_quotes
class Locales {
  Locales._();

  static List<Locale> get supported => [
    const Locale("de", "DE"),
    const Locale("en", "US"),
    const Locale("nl", "NL"),
    const Locale("pt", "PT"),
  ];

  static Map<String, Map<String, String>> get data => {
    _$LocaleDeDE().locale: _$LocaleDeDE().data,
    _$LocaleEnUS().locale: _$LocaleEnUS().data,
    _$LocaleNlNL().locale: _$LocaleNlNL().data,
    _$LocalePtPT().locale: _$LocalePtPT().data,
  };

  static Map<String, int> get stringData => {
    _$LocaleDeDE().locale: _$LocaleDeDE().translatedStrings,
    _$LocaleEnUS().locale: _$LocaleEnUS().translatedStrings,
    _$LocaleNlNL().locale: _$LocaleNlNL().translatedStrings,
    _$LocalePtPT().locale: _$LocalePtPT().translatedStrings,
  };
}

abstract class _$LocaleBase {
  String? locale;
  Map<String, String>? data;
  int? translatedStrings;
}

class _$LocaleDeDE extends _$LocaleBase {
  @override
  String get locale => "de-DE";

  @override
  Map<String, String> get data => {
    "global.account.local": "Lokales Benutzerkonto",
    "global.account.user_accounts": "Benutzerkonten",
    "global.on": "An",
    "global.off": "Aus",
    "global.settings": "Einstellungen",
    "global.coming_soon": "Demnächst",
    "global.save": "Speichern",
    "global.search": "Suche",
    "apps.authenticator": "Authentifikator",
    "apps.calculator": "Rechner",
    "apps.clock": "Uhr",
    "apps.containers": "Graft",
    "apps.disks": "Festplattenverwaltung",
    "apps.files": "Dateien",
    "apps.media": "Medien",
    "apps.music": "Musik",
    "apps.notes": "Texteditor",
    "apps.notesmobile": "Notizen (Mobile)",
    "apps.messages": "Nachrichten",
    "apps.rootterminal": "Root Terminal",
    "apps.settings": "Einstellungen",
    "apps.systemlogs": "Systemprotokolle",
    "apps.taskmanager": "Task Manager",
    "apps.terminal": "Terminal",
    "apps.themedemo": "Thema Vorschau",
    "apps.welcome": "Willkommen",
    "apps.help": "Hilfe",
    "apps.web": "Web Browser",
    "apps.authenticator_description": "Zwei-Faktor-Autorisierung",
    "apps.calculator_description": "Addition, Subtraktion, Multiplikation und Division",
    "apps.clock_description": "Zeit, Wecker, Stoppuhren und Weltzeiten verwalten",
    "apps.containers_description": "Verwalten Sie Ihre Systemcontainer",
    "apps.disks_description": "Festplatten und Partitionen verwalten",
    "apps.files_description": "Dateien und Ordner durchsuchen",
    "apps.media_description": "Bilder und Videos ansehen",
    "apps.music_description": "Lokale Musik anhören",
    "apps.notes_description": "Lokale Text-Dateien bearbeiten",
    "apps.notesmobile_description": "Notizen (Mobile)",
    "apps.messages_description": "Nachrichten",
    "apps.rootterminal_description": "Befehle als Superuser ausführen",
    "apps.settings_description": "Systemeinstellungen anpassen",
    "apps.systemlogs_description": "System-Protokolle auslesen",
    "apps.taskmanager_description": "Aktuell laufende Anwendungen verwalten",
    "apps.terminal_description": "Auf die Kommandozeile zugreifen",
    "apps.themedemo_description": "Interne Demo für App-Theming",
    "apps.welcome_description": "Begrüßungs Anwendung",
    "apps.help_description": "Häufig gestellte Fragen und Support",
    "apps.web_description": "Internet durchsuchen",
    "misc.featurenotimplemented_title": "Funktion noch nicht integriert",
    "misc.featurenotimplemented_value": "Diese Funktion ist in ihrer Version von Pangolin noch nicht verfügbar. Bitte siehe https://dahliaos.io/ für Aktualisierungen und weitere Informationen.",
    "overviewOverlay.new_desktop": "Neuer Desktop",
    "powerOverlay.title": "Power-Menü",
    "powerOverlay.subtitle": "Wählen Sie aus, was Sie tun möchten",
    "powerOverlay.poweroff": "Ausschalten",
    "powerOverlay.sleep": "Ruhezustand",
    "powerOverlay.restart": "Neustarten",
    "searchOverlay.hint": "Geräte, Apps und Web durchsuchen",
    "searchOverlay.results": "Ergebnisse",
    "searchOverlay.recent": "Zuletzt",
    "searchOverlay.app": "Anwendung",
    "launcherOverlay.categories.all_applications": "Alle Anwendungen",
    "launcherOverlay.categories.internet": "Internet",
    "launcherOverlay.categories.media": "Medien",
    "launcherOverlay.categories.gaming": "Spiele",
    "launcherOverlay.categories.development": "Entwicklung",
    "launcherOverlay.categories.office": "Büro",
    "launcherOverlay.categories.system": "System",
    "quicksettingsOverlay.quick_controls": "Schnellsteuerung",
    "quicksettingsOverlay.quick_controls.network.title": "Netzwerk",
    "quicksettingsOverlay.quick_controls.network.subtitle_connected": "verbunden",
    "quicksettingsOverlay.quick_controls.network.subtitle_disconnected": "getrennt",
    "quicksettingsOverlay.quick_controls.bluetooth.title": "Bluetooth",
    "quicksettingsOverlay.quick_controls.blueooth.subtitle_connected": "verbunden",
    "quicksettingsOverlay.quick_controls.blueooth.subtitle_disconnected": "getrennt",
    "quicksettingsOverlay.quick_controls.airplane_mode.title": "Flugmodus",
    "quicksettingsOverlay.quick_controls.language.title": "Sprache",
    "quicksettingsOverlay.quick_controls.theme.title": "Thema",
    "quicksettingsOverlay.quick_controls.donotdisturb.title": "Nicht stören",
    "quicksettingsOverlay.shortcuts.title": "Verknüpfungen",
    "quicksettingsOverlay.shortcuts.new_event": "Neuer Termin",
    "quicksettingsOverlay.shortcuts.alpha_build": "Alpha Build",
    "quicksettingsOverlay.shortcuts.energy_mode": "Energiemodus: Leistung",
    "quicksettingsOverlay.pages.network.title": "Netzwerkeinstellungen",
    "quicksettingsOverlay.pages.theme.title": "Theme-Einstellungen",
    "desktop.wallpaper_picker.gone": "Fehler\nBild existiert nicht mehr",
    "desktop.wallpaper_picker.url_wallpaper.hint": "Hintergrund von URL festlegen",
    "desktop.wallpaper_picker.url_wallpaper.label": "Hintergrundbild URL",
    "desktop.wallpaper_picker.bing_wallpaper_button": "Bing-Hintergrund verwenden",
    "desktop.desktop_context_menu.change_wallpaper": "Hintergrund auswählen",
    "desktop.desktop_context_menu.settings": "Einstellungen",
    "desktop.misc.show_desktop": "Desktop anzeigen",
    "settings.headers.connectivity": "Verbindung",
    "settings.headers.personalize": "Personalisieren",
    "settings.headers.device": "Gerät & Anwendungen",
    "settings.headers.system": "System",
    "settings.pages.network.title": "Netzwerk & Internet",
    "settings.pages.network.subtitle": "WLAN, Ethernet, Datenverbrauch",
    "settings.pages.network.wifi": "WLAN",
    "settings.pages.network.wifi_switch_tile.title": "Wi-Fi",
    "settings.pages.network.wifi_switch_tile.subtitle_enabled": "WLAN ist aktiviert",
    "settings.pages.network.wifi_switch_tile.subtitle_disabled": "WLAN ist deaktiviert",
    "settings.pages.network.wifi_preferences_tile.title": "WLAN-Präferenzen",
    "settings.pages.network.wifi_preferences_tile.subtitle": "Intelligente WLAN-Verbindung, Scan-Optionen",
    "settings.pages.network.wifi_saved_networks_tile.title": "Gespeicherte Netzwerke",
    "settings.pages.network.wifi_saved_networks_tile.subtitle": "{} Netzwerke",
    "settings.pages.network.wifi_data_usage_tile.title": "WLAN-Datenverbrauch",
    "settings.pages.network.wifi_data_usage_tile.subtitle": "Datenverbrauch für diesen Monat",
    "settings.pages.network.ethernet": "Ethernet",
    "settings.pages.network.ethernet_switch_tile.title": "Ethernet",
    "settings.pages.network.ethernet_switch_tile.subtitle_enabled": "Ethernet ist aktiviert",
    "settings.pages.network.ethernet_switch_tile.subtitle_disabled": "Ethernet ist deaktiviert",
    "settings.pages.network.ethernet_data_usage_tile.title": "WLAN-Datenverbrauch",
    "settings.pages.network.ethernet_data_usage_tile.subtitle": "Datenverbrauch für diesen Monat",
    "settings.pages.network.network_options": "Netzwerkoptionen",
    "settings.pages.network.network_options.vpn_tile.title": "Virtuelles privates Netzwerk (VPN)",
    "settings.pages.network.network_options.vpn_tile.subtitle": "Keins",
    "settings.pages.network.network_options.vpn_tile.button": "VPN-Optionen",
    "settings.pages.network.network_options.dns_tile.title": "Privater DNS",
    "settings.pages.network.network_options.dns_tile.subtitle": "Automatisch",
    "settings.pages.network.network_options.dns_tile.button": "DNS-Optionen",
    "settings.pages.connections.title": "Verbundene Geräte",
    "settings.pages.connections.subtitle": "Bluetooth, Drucker, USB-Geräte",
    "settings.pages.connections.bluetooth": "Bluetooth",
    "settings.pages.connections.bluetooth_switch_tile.title": "Bluetooth",
    "settings.pages.connections.bluetooth_switch_tile.subtitle_enabled": "Bluetooth ist aktiviert",
    "settings.pages.connections.bluetooth_switch_tile.subtitle_disabled": "Bluetooth ist deaktiviert",
    "settings.pages.connections.bluetooth_file_transfer_tile.title": "Über Bluetooth empfangene Dateien",
    "settings.pages.connections.phone_integration": "Telefon-Integration",
    "settings.pages.connections.phone_integration_tile.title": "Telefon-Integration",
    "settings.pages.connections.phone_integration_tile.subtitle": "Telefon-Integration ist deaktiviert",
    "settings.pages.customization.title": "Personalisierung",
    "settings.pages.customization.subtitle": "Personalisieren Sie Ihre Erfahrung",
    "settings.pages.customization.theme": "Thema",
    "settings.pages.customization.theme_mode_light": "Hell",
    "settings.pages.customization.theme_mode_dark": "Dunkel",
    "settings.pages.customization.theme_color_orange": "Orange",
    "settings.pages.customization.theme_color_red": "Rot",
    "settings.pages.customization.theme_color_green": "Grün",
    "settings.pages.customization.theme_color_blue": "Blau",
    "settings.pages.customization.theme_color_teal": "Türkis",
    "settings.pages.customization.theme_color_pruple": "Violette",
    "settings.pages.customization.theme_color_aqua": "Aqua",
    "settings.pages.customization.theme_color_gold": "Gold",
    "settings.pages.customization.theme_color_anthracite": "Anthrazit",
    "settings.pages.customization.taskbar_alignment": "Ausrichtung der Taskleiste",
    "settings.pages.customization.taskbar_alignment_start": "Anfang",
    "settings.pages.customization.taskbar_alignment_center": "Zentriert",
    "settings.pages.customization.window_options": "Fensteroptionen",
    "settings.pages.customization.window_options_border_radius.title": "Fensterrahmen Radius - {}",
    "settings.pages.customization.window_options_border_radius.subtitle": "Fensterrahmen Radius ändern",
    "settings.pages.customization.window_options_colored_titlebars.title": "Farbige Titelleisten",
    "settings.pages.customization.window_options_colored_titlebars.subtitle": "Farbige Titelleisten für Fenster verwenden",
    "settings.pages.display.title": "Anzeige",
    "settings.pages.display.subtitle": "Auflösung, Bildschirm-Timeout, Skalierung",
    "settings.pages.sound.title": "Ton",
    "settings.pages.sound.subtitle": "Lautstärke, Nicht stören, Start-Sound",
    "settings.pages.locale.title": "Sprache",
    "settings.pages.locale.subtitle": "Sprache, Uhrzeit und Datum, Tastaturlayout",
    "settings.pages.notifications.title": "Benachrichtigungen",
    "settings.pages.notifications.subtitle": "Benachrichtigungston, App-Auswahl",
    "settings.pages.applications.title": "Anwendungen",
    "settings.pages.applications.subtitle": "Installierte Anwendungen, Standard-Anwendungen",
    "settings.pages.developer_options.title": "Entwickleroptionen",
    "settings.pages.developer_options.subtitle": "Feature Flags, erweiterte Optionen",
    "settings.pages.developer_options.developer_mode_tile.title": "Entwicklermodus",
    "settings.pages.developer_options.developer_mode_tile.subtitle": "Erweiterte Debugging-Funktionen aktivieren",
    "settings.pages.about.title": "Über das Gerät",
    "settings.pages.about.subtitle": "System-Version, Geräteinformationen",
    "settings.pages.about.system_information": "Systeminformationen",
    "settings.pages.about.system_information_environment": "Umgebung",
    "settings.pages.about.system_information_architecture": "Architektur",
    "settings.pages.about.system_information_desktop": "Desktop",
    "settings.pages.about.software_update": "Software Aktualisierungen",
    "settings.pages.about.software_update_tile.title": "dahliaOS ist aktuell - {}",
    "settings.pages.about.software_update_tile.subtitle": "Zuletzt überprüft: {}",
    "settings.pages.about.software_update_tile.button": "Auf Updates überprüfen",
  };

  @override
  int get translatedStrings => 176;
}


class _$LocaleEnUS extends _$LocaleBase {
  @override
  String get locale => "en-US";

  @override
  Map<String, String> get data => {
    "global.account.local": "Local Account",
    "global.account.user_accounts": "User Accounts",
    "global.on": "On",
    "global.off": "Off",
    "global.settings": "Settings",
    "global.coming_soon": "Coming Soon",
    "global.save": "Save",
    "global.search": "Search",
    "apps.authenticator": "Authenticator",
    "apps.calculator": "Calculator",
    "apps.clock": "Clock",
    "apps.containers": "Graft",
    "apps.disks": "Disks",
    "apps.files": "Files",
    "apps.media": "Media",
    "apps.music": "Music",
    "apps.notes": "Text Editor",
    "apps.notesmobile": "Notes (Mobile)",
    "apps.messages": "Messages",
    "apps.rootterminal": "Root Terminal",
    "apps.settings": "Settings",
    "apps.systemlogs": "System Logs",
    "apps.taskmanager": "Task Manager",
    "apps.terminal": "Terminal",
    "apps.themedemo": "Theme Demo",
    "apps.welcome": "Welcome",
    "apps.help": "Help",
    "apps.web": "Web Browser",
    "apps.authenticator_description": "Two Factor Authorization",
    "apps.calculator_description": "Perform basic calculations",
    "apps.clock_description": "Keep track of time",
    "apps.containers_description": "Manage containers and virtual machines",
    "apps.disks_description": "Manage disks and partitions",
    "apps.files_description": "Browse files and folders",
    "apps.media_description": "Browse and watch photos and videos",
    "apps.music_description": "Listen to music",
    "apps.notes_description": "Create and edit documents",
    "apps.notesmobile_description": "Notes (Mobile)",
    "apps.messages_description": "Messages",
    "apps.rootterminal_description": "Run Commands as Superuser",
    "apps.settings_description": "Adjust system settings",
    "apps.systemlogs_description": "View and debug software issues",
    "apps.taskmanager_description": "Monitor system performance",
    "apps.terminal_description": "Access the command line",
    "apps.themedemo_description": "Internal demonstration for app theming",
    "apps.welcome_description": "View information about dahliaOS",
    "apps.help_description": "F.A.Q. and Support",
    "apps.web_description": "Browse the Web",
    "misc.featurenotimplemented_title": "Feature not implemented",
    "misc.featurenotimplemented_value": "This feature is currently not available on your build of Pangolin, please see dahliaOS.io to check for updates.",
    "overviewOverlay.new_desktop": "New Desktop",
    "powerOverlay.title": "Power Menu",
    "powerOverlay.subtitle": "Choose what you want to do",
    "powerOverlay.poweroff": "Power off",
    "powerOverlay.sleep": "Sleep",
    "powerOverlay.restart": "Restart",
    "searchOverlay.hint": "Search Device, Apps and Web",
    "searchOverlay.results": "Results",
    "searchOverlay.recent": "Recent",
    "searchOverlay.app": "App",
    "launcherOverlay.categories.all_applications": "All Applications",
    "launcherOverlay.categories.internet": "Internet",
    "launcherOverlay.categories.media": "Media",
    "launcherOverlay.categories.gaming": "Gaming",
    "launcherOverlay.categories.development": "Development",
    "launcherOverlay.categories.office": "Office",
    "launcherOverlay.categories.system": "System",
    "quicksettingsOverlay.quick_controls": "Quick Controls",
    "quicksettingsOverlay.quick_controls.network.title": "Network",
    "quicksettingsOverlay.quick_controls.network.subtitle_connected": "connected",
    "quicksettingsOverlay.quick_controls.network.subtitle_disconnected": "disconnected",
    "quicksettingsOverlay.quick_controls.bluetooth.title": "Bluetooth",
    "quicksettingsOverlay.quick_controls.blueooth.subtitle_connected": "connected",
    "quicksettingsOverlay.quick_controls.blueooth.subtitle_disconnected": "disconnected",
    "quicksettingsOverlay.quick_controls.airplane_mode.title": "Airplane mode",
    "quicksettingsOverlay.quick_controls.language.title": "Language",
    "quicksettingsOverlay.quick_controls.theme.title": "Theme",
    "quicksettingsOverlay.quick_controls.donotdisturb.title": "Do not disturb",
    "quicksettingsOverlay.shortcuts.title": "Shortcuts",
    "quicksettingsOverlay.shortcuts.new_event": "New Event",
    "quicksettingsOverlay.shortcuts.alpha_build": "Alpha Build",
    "quicksettingsOverlay.shortcuts.energy_mode": "Energy Mode: Performance",
    "quicksettingsOverlay.pages.network.title": "Network Settings",
    "quicksettingsOverlay.pages.theme.title": "Theme Settings",
    "desktop.wallpaper_picker.gone": "Error\nThat image cannot be used",
    "desktop.wallpaper_picker.url_wallpaper.hint": "Set wallpaper from URL",
    "desktop.wallpaper_picker.url_wallpaper.label": "Wallpaper URL",
    "desktop.wallpaper_picker.bing_wallpaper_button": "Use Bing Wallpaper",
    "desktop.desktop_context_menu.change_wallpaper": "Change Wallpaper",
    "desktop.desktop_context_menu.settings": "Settings",
    "desktop.misc.show_desktop": "Show Desktop",
    "settings.headers.connectivity": "Connectivity",
    "settings.headers.personalize": "Personalize",
    "settings.headers.device": "Device & applications",
    "settings.headers.system": "System",
    "settings.pages.network.title": "Network & internet",
    "settings.pages.network.subtitle": "Wi-Fi, ethernet, data usage",
    "settings.pages.network.wifi": "Wi-Fi",
    "settings.pages.network.wifi_switch_tile.title": "Wi-Fi",
    "settings.pages.network.wifi_switch_tile.subtitle_enabled": "Wi-Fi is enabled",
    "settings.pages.network.wifi_switch_tile.subtitle_disabled": "Wi-Fi is disabled",
    "settings.pages.network.wifi_preferences_tile.title": "Wi-Fi perferences",
    "settings.pages.network.wifi_preferences_tile.subtitle": "Smart Wi-Fi connection, scanning options",
    "settings.pages.network.wifi_saved_networks_tile.title": "Saved networks",
    "settings.pages.network.wifi_saved_networks_tile.subtitle": "{} networks",
    "settings.pages.network.wifi_data_usage_tile.title": "Wi-Fi data usage",
    "settings.pages.network.wifi_data_usage_tile.subtitle": "Data usage for this month",
    "settings.pages.network.ethernet": "Ethernet",
    "settings.pages.network.ethernet_switch_tile.title": "Ethernet",
    "settings.pages.network.ethernet_switch_tile.subtitle_enabled": "Ethernet is enabled",
    "settings.pages.network.ethernet_switch_tile.subtitle_disabled": "Ethernet is disabled",
    "settings.pages.network.ethernet_data_usage_tile.title": "Wi-Fi data usage",
    "settings.pages.network.ethernet_data_usage_tile.subtitle": "Data usage for this month",
    "settings.pages.network.network_options": "Network options",
    "settings.pages.network.network_options.vpn_tile.title": "Virtual Private Network (VPN)",
    "settings.pages.network.network_options.vpn_tile.subtitle": "None",
    "settings.pages.network.network_options.vpn_tile.button": "VPN options",
    "settings.pages.network.network_options.dns_tile.title": "Private DNS",
    "settings.pages.network.network_options.dns_tile.subtitle": "Automatic",
    "settings.pages.network.network_options.dns_tile.button": "DNS options",
    "settings.pages.connections.title": "Connected devices",
    "settings.pages.connections.subtitle": "Bluetooth, printer, USB devices",
    "settings.pages.connections.bluetooth": "Bluetooth",
    "settings.pages.connections.bluetooth_switch_tile.title": "Bluetooth",
    "settings.pages.connections.bluetooth_switch_tile.subtitle_enabled": "Bluetooth is enabled",
    "settings.pages.connections.bluetooth_switch_tile.subtitle_disabled": "Bluetooth is disabled",
    "settings.pages.connections.bluetooth_file_transfer_tile.title": "Files received via Bluetooth",
    "settings.pages.connections.phone_integration": "Phone integration",
    "settings.pages.connections.phone_integration_tile.title": "Phone integration",
    "settings.pages.connections.phone_integration_tile.subtitle": "Phone integration is disabled",
    "settings.pages.customization.title": "Customization",
    "settings.pages.customization.subtitle": "Personalize your experience",
    "settings.pages.customization.theme": "Theme",
    "settings.pages.customization.theme_mode_light": "Light",
    "settings.pages.customization.theme_mode_dark": "Dark",
    "settings.pages.customization.theme_color_orange": "Orange",
    "settings.pages.customization.theme_color_red": "Red",
    "settings.pages.customization.theme_color_green": "Green",
    "settings.pages.customization.theme_color_blue": "Blue",
    "settings.pages.customization.theme_color_teal": "Teal",
    "settings.pages.customization.theme_color_pruple": "Purple",
    "settings.pages.customization.theme_color_aqua": "Aqua",
    "settings.pages.customization.theme_color_gold": "Gold",
    "settings.pages.customization.theme_color_anthracite": "Anthracite",
    "settings.pages.customization.taskbar_alignment": "Taskbar alignment",
    "settings.pages.customization.taskbar_alignment_start": "Start",
    "settings.pages.customization.taskbar_alignment_center": "Center",
    "settings.pages.customization.window_options": "Window options",
    "settings.pages.customization.window_options_border_radius.title": "Window border radius - {}",
    "settings.pages.customization.window_options_border_radius.subtitle": "Change the window border radius",
    "settings.pages.customization.window_options_colored_titlebars.title": "Colored titlebars",
    "settings.pages.customization.window_options_colored_titlebars.subtitle": "Give window titlebars a custom accent color",
    "settings.pages.customization.window_options_transparent_colored_titlebars.title": "Transparent colored titlebars",
    "settings.pages.customization.window_options_transparent_colored_titlebars.subtitle": "Add transparency to the colored titlebars",
    "settings.pages.display.title": "Display",
    "settings.pages.display.subtitle": "Resolution, screen timeout, scaling",
    "settings.pages.sound.title": "Sound",
    "settings.pages.sound.subtitle": "Volume, Do Not Disturb, startup sound",
    "settings.pages.locale.title": "Locale",
    "settings.pages.locale.subtitle": "Language, time and date, keyboard layout",
    "settings.pages.notifications.title": "Notifications",
    "settings.pages.notifications.subtitle": "Notification sound, app selection",
    "settings.pages.applications.title": "Applications",
    "settings.pages.applications.subtitle": "Installed apps, default apps",
    "settings.pages.developer_options.title": "Developer options",
    "settings.pages.developer_options.subtitle": "Feature flags, advanced options",
    "settings.pages.developer_options.developer_mode_tile.title": "Developer mode",
    "settings.pages.developer_options.developer_mode_tile.subtitle": "Activate advanced debugging features",
    "settings.pages.about.title": "About device",
    "settings.pages.about.subtitle": "System version, device information",
    "settings.pages.about.system_information": "System information",
    "settings.pages.about.system_information_environment": "Environment",
    "settings.pages.about.system_information_architecture": "Architecture",
    "settings.pages.about.system_information_desktop": "Desktop",
    "settings.pages.about.software_update": "Software update",
    "settings.pages.about.software_update_tile.title": "dahliaOS is up to date - {}",
    "settings.pages.about.software_update_tile.subtitle": "Last checked: {}",
    "settings.pages.about.software_update_tile.button": "Check for updates",
  };

  @override
  int get translatedStrings => 178;
}


class _$LocaleNlNL extends _$LocaleBase {
  @override
  String get locale => "nl-NL";

  @override
  Map<String, String> get data => {
    "global.account.local": "Lokaal Account",
    "global.account.user_accounts": "Gebruiker Accounts",
    "global.on": "Aan",
    "global.off": "Uit",
    "global.settings": "Instellingen",
    "global.coming_soon": "Binnenkort Beschikbaar",
    "global.save": "Opslaan",
    "global.search": "Zoeken",
    "apps.authenticator": "Authenticator",
    "apps.calculator": "Rekenmachine",
    "apps.clock": "Klok",
    "apps.containers": "Graft",
    "apps.disks": "Schijven",
    "apps.files": "Bestanden",
    "apps.media": "Media",
    "apps.music": "Muziek",
    "apps.notes": "Tekstverwerker",
    "apps.notesmobile": "Notities (Mobiel)",
    "apps.messages": "Berichten",
    "apps.rootterminal": "Root Terminal",
    "apps.settings": "Instellingen",
    "apps.systemlogs": "Systeem Logboeken",
    "apps.taskmanager": "Taakbeheer",
    "apps.terminal": "Terminal",
    "apps.themedemo": "Thema Demo",
    "apps.welcome": "Welkom",
    "apps.help": "Hulp",
    "apps.web": "Web Browser",
    "apps.authenticator_description": "Twee-staps Autorisatie",
    "apps.calculator_description": "Optellen, aftrekken, vermenigvuldigen en delen",
    "apps.clock_description": "Beheer tijd, alarmen, Stopwatches en Wereld Klokken",
    "apps.containers_description": "Beheer uw Systeemcontainers",
    "apps.disks_description": "Beheer schijven en partities",
    "apps.files_description": "Blader door bestanden en mappen",
    "apps.media_description": "Blader en bekijk foto's en video's",
    "apps.music_description": "Luister naar lokale muziek",
    "apps.notes_description": "Bewerk lokale tekstbestanden",
    "apps.notesmobile_description": "Notities (Mobiel)",
    "apps.messages_description": "Berichten",
    "apps.rootterminal_description": "Voer opdrachten uit als Superuser",
    "apps.settings_description": "Systeeminstellingen aanpassen",
    "apps.systemlogs_description": "Systeemlogboeken lezen",
    "apps.taskmanager_description": "Toepassingen beheren die momenteel worden uitgevoerd",
    "apps.terminal_description": "Toegang tot de opdrachtlijn",
    "apps.themedemo_description": "Interne demonstratie voor app thema's",
    "apps.welcome_description": "Welkom Applicatie",
    "apps.help_description": "F.A.Q. en Ondersteuning",
    "apps.web_description": "Blader door het web",
    "misc.featurenotimplemented_title": "Functie niet geïmplementeerd",
    "misc.featurenotimplemented_value": "Deze functie is momenteel niet geïmplementeerd op je build van Pangolin, zie dahliaOS.io om te controleren op updates.",
    "overviewOverlay.new_desktop": "Nieuw Bureaublad",
    "powerOverlay.title": "Afsluit Menu",
    "powerOverlay.subtitle": "Kies wat je wilt doen",
    "powerOverlay.poweroff": "Schakel uit",
    "powerOverlay.sleep": "Slaapstand",
    "powerOverlay.restart": "Herstart",
    "searchOverlay.hint": "Doorzoek apparaat, apps en web",
    "searchOverlay.results": "Resultaten",
    "searchOverlay.recent": "Recent",
    "searchOverlay.app": "App",
    "launcherOverlay.categories.all_applications": "Alle applicaties",
    "launcherOverlay.categories.internet": "Internet",
    "launcherOverlay.categories.media": "Media",
    "launcherOverlay.categories.gaming": "gaming",
    "launcherOverlay.categories.development": "Ontwikkeling",
    "launcherOverlay.categories.office": "Kantoor",
    "launcherOverlay.categories.system": "Systeem",
    "quicksettingsOverlay.quick_controls": "Snelle Bedieningen",
    "quicksettingsOverlay.quick_controls.network.title": "Netwerk",
    "quicksettingsOverlay.quick_controls.network.subtitle_connected": "verbonden",
    "quicksettingsOverlay.quick_controls.network.subtitle_disconnected": "losgekoppeld",
    "quicksettingsOverlay.quick_controls.bluetooth.title": "Bluetooth",
    "quicksettingsOverlay.quick_controls.blueooth.subtitle_connected": "verbonden",
    "quicksettingsOverlay.quick_controls.blueooth.subtitle_disconnected": "losgekoppeld",
    "quicksettingsOverlay.quick_controls.airplane_mode.title": "Vliegtuig modus",
    "quicksettingsOverlay.quick_controls.language.title": "Taal",
    "quicksettingsOverlay.quick_controls.theme.title": "Thema",
    "quicksettingsOverlay.quick_controls.donotdisturb.title": "Niet storen",
    "quicksettingsOverlay.shortcuts.title": "Snelkoppelingen",
    "quicksettingsOverlay.shortcuts.new_event": "Nieuwe gebeurtenis",
    "quicksettingsOverlay.shortcuts.alpha_build": "Alpha Build",
    "quicksettingsOverlay.shortcuts.energy_mode": "Energiemodus: prestatie",
    "quicksettingsOverlay.pages.network.title": "Netwerk instellingen",
    "quicksettingsOverlay.pages.theme.title": "Thema instellingen",
    "desktop.wallpaper_picker.gone": "Fout\nAfbeelding bestaat niet meer",
    "desktop.wallpaper_picker.url_wallpaper.hint": "Achtergrond instellen van URL",
    "desktop.wallpaper_picker.url_wallpaper.label": "Achtergrond URL",
    "desktop.wallpaper_picker.bing_wallpaper_button": "Gebruik Bing Achtergrond",
    "desktop.desktop_context_menu.change_wallpaper": "Wijzig achtergrond",
    "desktop.desktop_context_menu.settings": "Instellingen",
    "desktop.misc.show_desktop": "Bureaublad tonen",
    "settings.headers.connectivity": "Connectiviteit",
    "settings.headers.personalize": "Personaliseren",
    "settings.headers.device": "Apparaat & applicaties",
    "settings.headers.system": "Systeem",
    "settings.pages.network.title": "Netwerk & internet",
    "settings.pages.network.subtitle": "Wi-Fi, ethernet, gegevensverbruik",
    "settings.pages.network.wifi": "Wi-Fi",
    "settings.pages.network.wifi_switch_tile.title": "Wi-Fi",
    "settings.pages.network.wifi_switch_tile.subtitle_enabled": "Wi-Fi is ingeschakeld",
    "settings.pages.network.wifi_switch_tile.subtitle_disabled": "Wi-Fi is uitgeschakeld",
    "settings.pages.network.wifi_preferences_tile.title": "Wi-Fi voorkeuren",
    "settings.pages.network.wifi_preferences_tile.subtitle": "Slimme wifi-verbinding, scanner opties",
    "settings.pages.network.wifi_saved_networks_tile.title": "Opgeslagen netwerken",
    "settings.pages.network.wifi_saved_networks_tile.subtitle": "{} netwerken",
    "settings.pages.network.wifi_data_usage_tile.title": "Wi-Fi gegevensverbruik",
    "settings.pages.network.wifi_data_usage_tile.subtitle": "Gegevensverbruik voor deze maand",
    "settings.pages.network.ethernet": "Ethernet",
    "settings.pages.network.ethernet_switch_tile.title": "Ethernet",
    "settings.pages.network.ethernet_switch_tile.subtitle_enabled": "Ethernet is ingeschakeld",
    "settings.pages.network.ethernet_switch_tile.subtitle_disabled": "Ethernet is uitgeschakeld",
    "settings.pages.network.ethernet_data_usage_tile.title": "Wi-Fi gegevensverbruik",
    "settings.pages.network.ethernet_data_usage_tile.subtitle": "Gegevensverbruik voor deze maand",
    "settings.pages.network.network_options": "Netwerk opties",
    "settings.pages.network.network_options.vpn_tile.title": "Virtueel Privé Netwerk (VPN)",
    "settings.pages.network.network_options.vpn_tile.subtitle": "Geen",
    "settings.pages.network.network_options.vpn_tile.button": "VPN opties",
    "settings.pages.network.network_options.dns_tile.title": "Privé DNS",
    "settings.pages.network.network_options.dns_tile.subtitle": "Automatisch",
    "settings.pages.network.network_options.dns_tile.button": "DNS opties",
    "settings.pages.connections.title": "Verbonden apparaten",
    "settings.pages.connections.subtitle": "Bluetooth, printer, USB apparaten",
    "settings.pages.connections.bluetooth": "Bluetooth",
    "settings.pages.connections.bluetooth_switch_tile.title": "Bluetooth",
    "settings.pages.connections.bluetooth_switch_tile.subtitle_enabled": "Bluetooth is ingeschakeld",
    "settings.pages.connections.bluetooth_switch_tile.subtitle_disabled": "Bluetooth is uitgeschakeld",
    "settings.pages.connections.bluetooth_file_transfer_tile.title": "Ontvangen bestanden via Bluetooth",
    "settings.pages.connections.phone_integration": "Telefoon integratie",
    "settings.pages.connections.phone_integration_tile.title": "Telefoon integratie",
    "settings.pages.connections.phone_integration_tile.subtitle": "Telefoon integratie is uitgeschakeld",
    "settings.pages.customization.title": "Aanpassen",
    "settings.pages.customization.subtitle": "Personaliseer uw ervaring",
    "settings.pages.customization.theme": "Thema",
    "settings.pages.customization.theme_mode_light": "Licht",
    "settings.pages.customization.theme_mode_dark": "Donker",
    "settings.pages.customization.theme_color_orange": "Oranje",
    "settings.pages.customization.theme_color_red": "Rood",
    "settings.pages.customization.theme_color_green": "Groen",
    "settings.pages.customization.theme_color_blue": "Blauw",
    "settings.pages.customization.theme_color_teal": "Groenblauw",
    "settings.pages.customization.theme_color_pruple": "Purper",
    "settings.pages.customization.theme_color_aqua": "Aqua",
    "settings.pages.customization.theme_color_gold": "Goud",
    "settings.pages.customization.theme_color_anthracite": "Anthracite",
    "settings.pages.customization.taskbar_alignment": "Taakbalk uitlijning",
    "settings.pages.customization.taskbar_alignment_start": "Start",
    "settings.pages.customization.taskbar_alignment_center": "Midden",
    "settings.pages.customization.window_options": "Opties voor venster",
    "settings.pages.customization.window_options_border_radius.title": "Venster rand radius - {}",
    "settings.pages.customization.window_options_border_radius.subtitle": "Wijzig de rand van het venster radius",
    "settings.pages.customization.window_options_colored_titlebars.title": "Gekleurde titelbalken",
    "settings.pages.customization.window_options_colored_titlebars.subtitle": "Gebruik gekleurde titelbalken voor de vensters",
    "settings.pages.display.title": "Scherm",
    "settings.pages.display.subtitle": "Resolutie, scherm time-out, schalen",
    "settings.pages.sound.title": "Geluid",
    "settings.pages.sound.subtitle": "Volume, Niet storen, opstart geluid",
    "settings.pages.locale.title": "Lokalisatie",
    "settings.pages.locale.subtitle": "Taal, tijd en datum, toetsenbord lay-out",
    "settings.pages.notifications.title": "Notificaties",
    "settings.pages.notifications.subtitle": "Meldingsgeluid, app selectie",
    "settings.pages.applications.title": "Applicaties",
    "settings.pages.applications.subtitle": "Geïnstalleerde apps, standaard apps",
    "settings.pages.developer_options.title": "Ontwikkelaarsopties",
    "settings.pages.developer_options.subtitle": "Functievlaggen, geavanceerde opties",
    "settings.pages.developer_options.developer_mode_tile.title": "Ontwikkelaars modus",
    "settings.pages.developer_options.developer_mode_tile.subtitle": "Geavanceerde foutopsporingsfuncties activeren",
    "settings.pages.about.title": "Over apparaat",
    "settings.pages.about.subtitle": "Systeem versie, apparaatinformatie",
    "settings.pages.about.system_information": "Systeem informatie",
    "settings.pages.about.system_information_environment": "Omgeving",
    "settings.pages.about.system_information_architecture": "Architectuur",
    "settings.pages.about.system_information_desktop": "Bureaublad",
    "settings.pages.about.software_update": "Software update",
    "settings.pages.about.software_update_tile.title": "dahliaOS is up to date - {}",
    "settings.pages.about.software_update_tile.subtitle": "Laatst gecontroleerd: {}",
    "settings.pages.about.software_update_tile.button": "Controleer voor updates",
  };

  @override
  int get translatedStrings => 176;
}


class _$LocalePtPT extends _$LocaleBase {
  @override
  String get locale => "pt-PT";

  @override
  Map<String, String> get data => {
    "global.account.local": "Conta local",
    "global.account.user_accounts": "Contas de utilizador",
    "global.on": "Ligado",
    "global.off": "Desligado",
    "global.settings": "Definições",
    "global.coming_soon": "Em breve",
    "global.save": "Guardar",
    "global.search": "Pesquisar",
    "apps.authenticator": "Autenticador",
    "apps.calculator": "Calculadora",
    "apps.clock": "Relógio",
    "apps.containers": "Graft",
    "apps.disks": "Discos",
    "apps.files": "Ficheiros",
    "apps.media": "Multimédia",
    "apps.music": "Música",
    "apps.notes": "Editor de texto",
    "apps.notesmobile": "Notas (Móvel)",
    "apps.messages": "Mensagens",
    "apps.rootterminal": "Terminal root",
    "apps.settings": "Definições",
    "apps.systemlogs": "Registos do sistema",
    "apps.taskmanager": "Gestor de tarefas",
    "apps.terminal": "Terminal",
    "apps.themedemo": "Tema Demo",
    "apps.welcome": "Bem-vindo",
    "apps.help": "Ajuda",
    "apps.web": "Navegador de Internet",
    "apps.authenticator_description": "Autorização de dois fatores",
    "apps.calculator_description": "Adição, Subtração, Multiplicação e Divisão",
    "apps.clock_description": "Gerir hora, alarmes, cronómetros e relógios mundiais",
    "apps.containers_description": "Gerir os seus contentores do sistema",
    "apps.disks_description": "Gerir discos e partições",
    "apps.files_description": "Explorar ficheiros e pastas",
    "apps.media_description": "Explorar e assistir fotos e vídeos",
    "apps.music_description": "Ouvir música local",
    "apps.notes_description": "Editar ficheiros de texto locais",
    "apps.notesmobile_description": "Notas (Móvel)",
    "apps.messages_description": "Mensagens",
    "apps.rootterminal_description": "Executar comandos como Superutilizador",
    "apps.settings_description": "Ajustar definições do sistema",
    "apps.systemlogs_description": "Ler registos do sistema",
    "apps.taskmanager_description": "Gerir aplicações atualmente em execução",
    "apps.terminal_description": "Aceder à linha de comandos",
    "apps.themedemo_description": "Demonstração interna para temas da aplicação",
    "apps.welcome_description": "Aplicação de boas-vindas",
    "apps.help_description": "F.A.Q. e Suporte",
    "apps.web_description": "Navegar na Web",
    "misc.featurenotimplemented_title": "Funcionalidade não implementada",
    "misc.featurenotimplemented_value": "Esta funcionalidade não está disponível na sua compilação do Pangolin. Por favor consulte o https://dahliaOS.io para verificar se existem atualizações.",
    "overviewOverlay.new_desktop": "Nova área de trabalho",
    "powerOverlay.title": "Menu de energia",
    "powerOverlay.subtitle": "Escolha o que deseja fazer",
    "powerOverlay.poweroff": "Desligar",
    "powerOverlay.sleep": "Suspender",
    "powerOverlay.restart": "Reiniciar",
    "searchOverlay.hint": "Pesquisar dispositivos, Aplicações e Web",
    "searchOverlay.results": "Resultados",
    "searchOverlay.recent": "Recentes",
    "searchOverlay.app": "Aplicação",
    "launcherOverlay.categories.all_applications": "Todas as aplicações",
    "launcherOverlay.categories.internet": "Internet",
    "launcherOverlay.categories.media": "Multimédia",
    "launcherOverlay.categories.gaming": "jogos",
    "launcherOverlay.categories.development": "Desenvolvimento",
    "launcherOverlay.categories.office": "Produtividade",
    "launcherOverlay.categories.system": "Sistema",
    "quicksettingsOverlay.quick_controls": "Controlos rápidos",
    "quicksettingsOverlay.quick_controls.network.title": "Rede",
    "quicksettingsOverlay.quick_controls.network.subtitle_connected": "ligado",
    "quicksettingsOverlay.quick_controls.network.subtitle_disconnected": "desligado",
    "quicksettingsOverlay.quick_controls.bluetooth.title": "Bluetooth",
    "quicksettingsOverlay.quick_controls.blueooth.subtitle_connected": "ligado",
    "quicksettingsOverlay.quick_controls.blueooth.subtitle_disconnected": "desligado",
    "quicksettingsOverlay.quick_controls.airplane_mode.title": "Modo de avião",
    "quicksettingsOverlay.quick_controls.language.title": "Idioma",
    "quicksettingsOverlay.quick_controls.theme.title": "Tema",
    "quicksettingsOverlay.quick_controls.donotdisturb.title": "Não incomodar",
    "quicksettingsOverlay.shortcuts.title": "Atalhos",
    "quicksettingsOverlay.shortcuts.new_event": "Novo evento",
    "quicksettingsOverlay.shortcuts.alpha_build": "Compilação Alfa",
    "quicksettingsOverlay.shortcuts.energy_mode": "Modo de Energia: Desempenho",
    "quicksettingsOverlay.pages.network.title": "Definições de rede",
    "quicksettingsOverlay.pages.theme.title": "Definições de tema",
    "desktop.wallpaper_picker.gone": "Erro\nA imagem não existe mais",
    "desktop.wallpaper_picker.url_wallpaper.hint": "Definir papel de parede de URL",
    "desktop.wallpaper_picker.url_wallpaper.label": "URL do papel de parede",
    "desktop.wallpaper_picker.bing_wallpaper_button": "Usar papel de parede do Bing",
    "desktop.desktop_context_menu.change_wallpaper": "Alterar papel de parede",
    "desktop.desktop_context_menu.settings": "Definições",
    "desktop.misc.show_desktop": "Mostrar área de trabalho",
    "settings.headers.connectivity": "Ligação",
    "settings.headers.personalize": "Personalizar",
    "settings.headers.device": "Dispositivo e aplicações",
    "settings.headers.system": "Sistema",
    "settings.pages.network.title": "Rede e Internet",
    "settings.pages.network.subtitle": "Wi-Fi, ethernet, utilização de dados",
    "settings.pages.network.wifi": "Wi-Fi",
    "settings.pages.network.wifi_switch_tile.title": "Wi-Fi",
    "settings.pages.network.wifi_switch_tile.subtitle_enabled": "O Wi-Fi está ativado",
    "settings.pages.network.wifi_switch_tile.subtitle_disabled": "O Wi-Fi está desativado",
    "settings.pages.network.wifi_preferences_tile.title": "Preferências de Wi-Fi",
    "settings.pages.network.wifi_preferences_tile.subtitle": "Ligação Wi-Fi inteligente, opções de pesquisa",
    "settings.pages.network.wifi_saved_networks_tile.title": "Redes guardadas",
    "settings.pages.network.wifi_saved_networks_tile.subtitle": "{} redes",
    "settings.pages.network.wifi_data_usage_tile.title": "Utilização de dados Wi-Fi",
    "settings.pages.network.wifi_data_usage_tile.subtitle": "Utilização de dados para este mês",
    "settings.pages.network.ethernet": "Ethernet",
    "settings.pages.network.ethernet_switch_tile.title": "Ethernet",
    "settings.pages.network.ethernet_switch_tile.subtitle_enabled": "A Ethernet está ativada",
    "settings.pages.network.ethernet_switch_tile.subtitle_disabled": "A Ethernet está desativada",
    "settings.pages.network.ethernet_data_usage_tile.title": "Utilização de dados Wi-Fi",
    "settings.pages.network.ethernet_data_usage_tile.subtitle": "Utilização de dados para este mês",
    "settings.pages.network.network_options": "Opções de rede",
    "settings.pages.network.network_options.vpn_tile.title": "Rede Privada Virtual (VPN)",
    "settings.pages.network.network_options.vpn_tile.subtitle": "Nenhuma",
    "settings.pages.network.network_options.vpn_tile.button": "Opções da VPN",
    "settings.pages.network.network_options.dns_tile.title": "DNS privado",
    "settings.pages.network.network_options.dns_tile.subtitle": "Automática",
    "settings.pages.network.network_options.dns_tile.button": "Opções de DNS",
    "settings.pages.connections.title": "Dispositivos ligados",
    "settings.pages.connections.subtitle": "Bluetooth, impressora, dispositivos USB",
    "settings.pages.connections.bluetooth": "Bluetooth",
    "settings.pages.connections.bluetooth_switch_tile.title": "Bluetooth",
    "settings.pages.connections.bluetooth_switch_tile.subtitle_enabled": "O Bluetooth está ativado",
    "settings.pages.connections.bluetooth_switch_tile.subtitle_disabled": "O Bluetooth está desativado",
    "settings.pages.connections.bluetooth_file_transfer_tile.title": "Ficheiros recebidos por Bluetooth",
    "settings.pages.connections.phone_integration": "Integração com telefone",
    "settings.pages.connections.phone_integration_tile.title": "Integração com telefone",
    "settings.pages.connections.phone_integration_tile.subtitle": "A integração com o telefone está desativada",
    "settings.pages.customization.title": "Personalização",
    "settings.pages.customization.subtitle": "Personalize a sua experiência",
    "settings.pages.customization.theme": "Tema",
    "settings.pages.customization.theme_mode_light": "Claro",
    "settings.pages.customization.theme_mode_dark": "Escuro",
    "settings.pages.customization.theme_color_orange": "Laranja",
    "settings.pages.customization.theme_color_red": "Vermelho",
    "settings.pages.customization.theme_color_green": "Verde",
    "settings.pages.customization.theme_color_blue": "Azul",
    "settings.pages.customization.theme_color_teal": "Turquesa",
    "settings.pages.customization.theme_color_pruple": "Púrpura",
    "settings.pages.customization.theme_color_aqua": "Água",
    "settings.pages.customization.theme_color_gold": "Dourado",
    "settings.pages.customization.theme_color_anthracite": "Antracite",
    "settings.pages.customization.taskbar_alignment": "Alinhamento da barra de tarefas",
    "settings.pages.customization.taskbar_alignment_start": "Início",
    "settings.pages.customization.taskbar_alignment_center": "Centro",
    "settings.pages.customization.window_options": "Opções de janela",
    "settings.pages.customization.window_options_border_radius.title": "Raio do contorno da janela - {}",
    "settings.pages.customization.window_options_border_radius.subtitle": "Alterar o raio do contorno da janela",
    "settings.pages.customization.window_options_colored_titlebars.title": "Barras de título coloridas",
    "settings.pages.customization.window_options_colored_titlebars.subtitle": "Usar barras de título coloridas para as janelas",
    "settings.pages.display.title": "Ecrã",
    "settings.pages.display.subtitle": "Resolução, tempo limite de ecrã, escala",
    "settings.pages.sound.title": "Som",
    "settings.pages.sound.subtitle": "Volume, Não incomodar, som de arranque",
    "settings.pages.locale.title": "Localização",
    "settings.pages.locale.subtitle": "Idioma, data e hora, esquema do teclado",
    "settings.pages.notifications.title": "Notificações",
    "settings.pages.notifications.subtitle": "Som de notificação, seleção de aplicações",
    "settings.pages.applications.title": "Aplicações",
    "settings.pages.applications.subtitle": "Aplicações instaladas, aplicações predefinidas",
    "settings.pages.developer_options.title": "Opções do programador",
    "settings.pages.developer_options.subtitle": "Sinalizadores de funcionalidades, opções avançadas",
    "settings.pages.developer_options.developer_mode_tile.title": "Modo de programador",
    "settings.pages.developer_options.developer_mode_tile.subtitle": "Ativar funcionalidades avançadas de depuração",
    "settings.pages.about.title": "Acerca do dispositivo",
    "settings.pages.about.subtitle": "Versão do sistema, informações do dispositivo",
    "settings.pages.about.system_information": "Informação do sistema",
    "settings.pages.about.system_information_environment": "Ambiente",
    "settings.pages.about.system_information_architecture": "Arquitetura",
    "settings.pages.about.system_information_desktop": "Ambiente de trabalho",
    "settings.pages.about.software_update": "Atualização de software",
    "settings.pages.about.software_update_tile.title": "O dahliaOS está atualizado - {}",
    "settings.pages.about.software_update_tile.subtitle": "Última verificação: {}",
    "settings.pages.about.software_update_tile.button": "Procurar por atualizações",
  };

  @override
  int get translatedStrings => 176;
}

